Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.loading
Class RemotingClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.jboss.remoting.loading.RemotingClassLoader

    public class RemotingClassLoader

extends java.lang.ClassLoader

Author:
  Tom Elrod

Field Summary
`protected static boolean` | `isTrace`
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`RemotingClassLoader(java.lang.ClassLoader remotingClassLoader, java.lang.ClassLoader userClassLoader)`

Method Summary
`java.lang.Class` | `loadClass(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

### isTrace

    protected static final boolean isTrace

Constructor Detail

### RemotingClassLoader

    public RemotingClassLoader(java.lang.ClassLoader remotingClassLoader,
                               java.lang.ClassLoader userClassLoader)

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.